package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 数据权限详情表
 * </p>
 */
@Data
@TableName("sys_data_auth_detail")
public class DataAuthDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 数据权限编号
     */
    @TableField("service_data_auth_id")
    private Long serviceDataAuthId;

    /**
     * 数据范围类型：：1:全部组织,2:全部科室,3:全部科室除本科室外,4:本科室,5:本医疗组,6:本人,7:自定义
     */
    @TableField("data_type")
    private String dataType;

    /**
     * detail_id的类型 1：detail_id为医院id 2：为科室id3：为医生id
     */
    @TableField("detail_type")
    private String detailType;

    /**
     * 医院、科室、医生id
     */
    @TableField("detail_id")
    private String detailId;

    /**
     * 创建用户编号
     */
    @TableField("creator")
    private Long creator;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;


}
