package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统操作日志表
 * </p>
 */
@Data
@TableName("sys_log")
public class Log implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 操作内容
     */
    @TableField("operationContent")
    private String operationContent;

    /**
     * 日志类型(正常、异常)
     */
    @TableField("type")
    private String type;

    /**
     * 操作ip地址
     */
    @TableField("remote_addr")
    private String remoteAddr;

    /**
     * 用户代理
     */
    @TableField("user_agent")
    private String userAgent;

    /**
     * 请求uri
     */
    @TableField("request_uri")
    private String requestUri;

    /**
     * http请求方法
     */
    @TableField("method")
    private String method;

    /**
     * http请求体
     */
    @TableField("params")
    private String params;

    /**
     * 异常信息
     */
    @TableField("exception")
    private String exception;

    /**
     * 创建时间
     */
    @TableField("create_date")
    private Date createDate;

    /**
     * 操作人
     */
    @TableField("operator")
    private String operator;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;


}
