package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 菜单功能表
 * </p>
 */
@Data
@TableName("sys_menu")
public class Menu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 父级编号
     */
    @TableField("parent_id")
    private Long parentId;

    /**
     * 服务id
     */
    @TableField("service_id")
    private Long serviceId;

    /**
     * 功能名称
     */
    @TableField("name")
    private String name;

    /**
     * 类型：0:目录，1菜单，2按钮，3：超链接
     */
    @TableField("type")
    private String type;

    /**
     * 页面路由
     */
    @TableField("url")
    private String url;

    /**
     * 图标
     */
    @TableField("icon")
    private String icon;

    /**
     * 排序
     */
    @TableField("order_no")
    private String orderNo;

    /**
     * 状态 0:禁用，1：启用
     */
    @TableField("status")
    private String status;

    /**
     * 描述
     */
    @TableField("describe")
    private String describe;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 创建用户编号
     */
    @TableField("creator")
    private Long creator;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;


}
